Console Output

Started by upstream project "mango-prb" build number 958
originally caused by:
 GitHub pull request #567 of commit 0016ad490f4b1ff3bdd0ed953e5a743f4f78cc05 automatically merged.
[EnvInject] - Loading node environment variables.
Building remotely on research-jenkins-worker-09 (ubuntu ubuntu-gpu research-09 ubuntu-avx2) in workspace /home/jenkins/workspace/mango-prb/HADOOP_VERSION/2.7.5/SCALAVER/2.11/SPARK_VERSION/3.0.0/label/ubuntu
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://github.com/bigdatagenomics/mango.git # timeout=10
Fetching upstream changes from https://github.com/bigdatagenomics/mango.git
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/bigdatagenomics/mango.git +refs/pull/*:refs/remotes/origin/pr/*
Checking out Revision 1f95725147060cd6884972bfe24dd4423ea8fecc (origin/pr/567/merge)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 1f95725147060cd6884972bfe24dd4423ea8fecc
First time build. Skipping changelog.
[ubuntu] $ /bin/bash /tmp/hudson2218464085836592960.sh
+ set -e
+ set +x
+ docker run -v /home/jenkins/workspace/mango-prb/HADOOP_VERSION/2.7.5/SCALAVER/2.11/SPARK_VERSION/3.0.0/label/ubuntu:/home/jenkins/workspace/mango-prb/HADOOP_VERSION/2.7.5/SCALAVER/2.11/SPARK_VERSION/3.0.0/label/ubuntu -e COVERALLS_REPO_TOKEN=D8pVcSLX2bfAMpSDM0urS9ESDJ2zMAQom -e WORKSPACE=/home/jenkins/workspace/mango-prb/HADOOP_VERSION/2.7.5/SCALAVER/2.11/SPARK_VERSION/3.0.0/label/ubuntu -e SPARK_VERSION=3.0.0 -e HADOOP_VERSION=2.7.5 -e SCALAVER=2.11 --entrypoint=/home/jenkins/workspace/mango-prb/HADOOP_VERSION/2.7.5/SCALAVER/2.11/SPARK_VERSION/3.0.0/label/ubuntu/scripts/jenkins-test bigdatagenomics/mango-jenkins:latest
Unable to find image 'bigdatagenomics/mango-jenkins:latest' locally
latest: Pulling from bigdatagenomics/mango-jenkins
22dbe790f715: Pulling fs layer
0250231711a0: Pulling fs layer
6fba9447437b: Pulling fs layer
c2b4d327b352: Pulling fs layer
cddb9bb0d37c: Pulling fs layer
b535486c968f: Pulling fs layer
f3e976e6210c: Pulling fs layer
b2c11b10291d: Pulling fs layer
72758226cb91: Pulling fs layer
f3e976e6210c: Waiting
b535486c968f: Waiting
6f3c2ec4884a: Pulling fs layer
b2c11b10291d: Waiting
a5b68b7a1de5: Pulling fs layer
72758226cb91: Waiting
17f9af46cbfb: Pulling fs layer
6f3c2ec4884a: Waiting
ec91a9fcf611: Pulling fs layer
a5b68b7a1de5: Waiting
17f9af46cbfb: Waiting
ec91a9fcf611: Waiting
cddb9bb0d37c: Verifying Checksum
cddb9bb0d37c: Download complete
6fba9447437b: Verifying Checksum
6fba9447437b: Download complete
b535486c968f: Verifying Checksum
b535486c968f: Download complete
0250231711a0: Verifying Checksum
0250231711a0: Download complete
f3e976e6210c: Verifying Checksum
f3e976e6210c: Download complete
6f3c2ec4884a: Verifying Checksum
6f3c2ec4884a: Download complete
72758226cb91: Verifying Checksum
72758226cb91: Download complete
a5b68b7a1de5: Verifying Checksum
a5b68b7a1de5: Download complete
ec91a9fcf611: Download complete
17f9af46cbfb: Verifying Checksum
17f9af46cbfb: Download complete
22dbe790f715: Verifying Checksum
22dbe790f715: Download complete
c2b4d327b352: Verifying Checksum
c2b4d327b352: Download complete
b2c11b10291d: Verifying Checksum
b2c11b10291d: Download complete
22dbe790f715: Pull complete
0250231711a0: Pull complete
6fba9447437b: Pull complete
c2b4d327b352: Pull complete
cddb9bb0d37c: Pull complete
b535486c968f: Pull complete
f3e976e6210c: Pull complete
b2c11b10291d: Pull complete
72758226cb91: Pull complete
6f3c2ec4884a: Pull complete
a5b68b7a1de5: Pull complete
17f9af46cbfb: Pull complete
ec91a9fcf611: Pull complete
Digest: sha256:85af41c3b5ecbce1ffdf7a09eccd8dfa1b19f297e4da576bcdf900445ec95687
Status: Downloaded newer image for bigdatagenomics/mango-jenkins:latest

# there are missing builds for bdgenomics for versions 2.11/3.0.0
# because Spark 3.0.0 is prebuilt with scala 2.12. In this case,
# do not run the tests.
if [[ (${SCALAVER} == 2.11 ) && (${SPARK_VERSION} == 3.0.0) ]];
then
    echo "Missing dependecies for Scala version ${SCALAVER} and Spark version ${SPARK_VERSION}. Skipping."
    exit 0
fi
+ [[ 2.11 == 2.11 ]]
+ [[ 3.0.0 == 3.0.0 ]]
+ echo 'Missing dependecies for Scala version 2.11 and Spark version 3.0.0. Skipping.'
+ exit 0
Missing dependecies for Scala version 2.11 and Spark version 3.0.0. Skipping.
Finished: SUCCESS